db.out.ogr(1)

NAME
db.out.ogr - Exports attribute tables into various formats.

KEYWORDS
database, export, output, attribute table

SYNOPSIS
db.out.ogr
db.out.ogr --help
db.out.ogr input=name output=name [layer=string] format=string [table=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    GRASS table name
    Or data source for direct OGR access

output=name [required]
    Output table file name or DB connection string

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

format=string [required]
    Table format
    Options: CSV, DBF, GML, MySQL, PostgreSQL, SQLite
    Default: CSV

table=name
    Name for output table (default: input name)

DESCRIPTION
db.out.ogr exports GRASS GIS attribute tables into various formats as supported by the OGR driver on the local system (CSV, DBF, PostgreSQL, SQLite, MySQL, ODBC, etc.).

The output parameter is used to define the output file name (if the path is not defined, the module will attempt to write to the current directory). In case of a database connection as output, the connection string has to be specified.

The layer parameter is needed if the attribute table to be exported is linked as non-default layer to a vector map.

EXAMPLES

  Export of GRASS GIS attribute table to a CSV table file (default format)

db.out.ogr input=precip_30ynormals output=precip_30ynormals.csv

  Export of a GRASS GIS attribute table to a DBF table

db.out.ogr input=precip_30ynormals output=precip_30ynormals.dbf format=DBF

  Export of GRASS GIS attribute table into a PostgreSQL table

db.out.ogr input=precip_30ynormals \
	   output="PG:host=localhost dbname=meteo user=neteler" \
           format=PostgreSQL
# verify
echo "SELECT * FROM precip_30ynormals" | psql meteo

SEE ALSO
db.tables

GRASS SQL interface

AUTHORS
Markus Neteler
Converted to Python by Glynn Clements

Last changed: $Date$

SOURCE CODE

Available at: db.out.ogr source code (history)

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual